#
# spec file for package python3-pyenchant
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-pyenchant
Version:        1.6.6
Release:        6.1
Url:            https://pythonhosted.org/pyenchant/
Summary:        Python bindings for the Enchant spellchecking system
License:        LGPL-2.1+
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/p/pyenchant/pyenchant-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  enchant
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Provides:       PyEnchant = %{version}
Obsoletes:      PyEnchant < %{version}
BuildArch:      noarch
Requires:       enchant

%description
PyEnchant is a spellchecking library for Python, based on the excellent Enchant library.

%prep
%setup -q -n pyenchant-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt TODO.txt
%{python3_sitelib}/enchant
%{python3_sitelib}/pyenchant-%{version}-py%{py3_ver}.egg-info

%changelog
* Sun Jan 25 2015 arun@gmx.de
- specfile:
  * update url
- dropped pyenchant-setuptools.patch: fixed upstream
- update to version 1.6.6:
  * compatability with latest python releases
  * "wheels" replace "eggs" as the binary distribution format of
    choice
  * fix possible text corruption when using SpellChecker with a Chunker
* Sat Jan 10 2015 arun@gmx.de
- specfile:
  * update copyright year
  * remove ifs for opensuse version <=1220
* Wed Oct 23 2013 toddrme2178@gmail.com
- Add BuildRequires: python3 for openSUSE 12.2, so hashlib is
  available.
* Thu Sep 26 2013 speilicke@suse.com
- Add pyenchant-setuptools.patch: Backport of
  https://github.com/rfk/pyenchant/pull/29
* Thu Nov 22 2012 toddrme2178@gmail.com
- Removed openSUSE 11.4 spec file workarounds
* Fri May  4 2012 toddrme2178@gmail.com
- Add full url to source
- Make python 3 package noarch like the python 2 package
- Fix rpmlint warnings
* Mon Apr 30 2012 toddrme2178@gmail.com
- Add python 3 package
- Clean up python 2 spec file
